<?php

/*
Plugin Name: WPFTS Add-on for Media Library Folders
Description: This plugin fixes the Media Library Folders's bug when uploading new files in Windows OS.
Version: 1.0.0
Tested up to: 5.5.3
Author: Epsiloncool
Author URI: https://e-wm.org
License: GPL3
License URI: http://www.gnu.org/licenses/gpl-3.0.html
Text Domain: wpfts_lang
Domain Path: /languages/
*/

/**
 *  Copyright 2013-2020 Epsiloncool
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ******************************************************************************
 *  I am thank you for the help by buying PRO version of this plugin 
 *  at https://fulltextsearch.org/ 
 *  It will keep me working further on this useful product.
 ******************************************************************************
 * 
 *  @copyright 2013-2020
 *  @license GPL v3
 *  @version 1.0.0
 *  @package Wordpress Fulltext Search Pro
 *  @author Epsiloncool <info@e-wm.org>
 */

add_filter('_wp_relative_upload_path', function($new_path, $path)
{
	// This code will only work in case Media Library Folders is installed and active
	if (class_exists('MaxGalleriaMediaLib')) {
		// We going to replace '\' to '/' before comparison
		// to make this code compatible with Windows-style paths
		$new_path = str_replace("\\", "/", $path);

		$uploads = wp_get_upload_dir();
		$up_dir = str_replace("\\", "/", $uploads['basedir']);
		if ( 0 === strpos( $new_path, $up_dir ) ) {
				$new_path = str_replace( $up_dir, '', $new_path );
				$new_path = ltrim( $new_path, '/' );
		}
	}

	return $new_path;
}, 30, 2);

